# Uses of Interface
org.opensaml.xmlsec.signature.RetrievalMethod

Packages that use RetrievalMethod
Package
Description
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of RetrievalMethod in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption with type parameters of type RetrievalMethod
Modifier and Type
Field
Description
`private XMLSignatureBuilder<RetrievalMethod>`
Encrypter.`retrievalMethodBuilder`
Builder for RetrievalMethod objects.

## Uses of RetrievalMethod in org.opensaml.xmlsec.encryption.support

Methods in org.opensaml.xmlsec.encryption.support with parameters of type RetrievalMethod
Modifier and Type
Method
Description
`protected EncryptedKey`
SimpleRetrievalMethodEncryptedKeyResolver.`dereferenceURI(RetrievalMethod rm)`
Dereference the URI attribute of the specified retrieval method into an EncryptedKey.

## Uses of RetrievalMethod in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type RetrievalMethod
Modifier and Type
Method
Description
`List<RetrievalMethod>`
KeyInfo.`getRetrievalMethods()`
Get the list of RetrievalMethod child elements.

## Uses of RetrievalMethod in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement RetrievalMethod
Modifier and Type
Class
Description
`class`
`RetrievalMethodImpl`
Concrete implementation of `RetrievalMethod`.
Methods in org.opensaml.xmlsec.signature.impl that return RetrievalMethod
Modifier and Type
Method
Description
`RetrievalMethod`
RetrievalMethodBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`RetrievalMethod`
RetrievalMethodBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type RetrievalMethod
Modifier and Type
Method
Description
`List<RetrievalMethod>`
KeyInfoImpl.`getRetrievalMethods()`
Get the list of RetrievalMethod child elements.